GNU bug report logs - #12833
24.2.50; Avoid questions asked in the echo area to be overridden by messages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>; dated Thu, 8 Nov 2012 13:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Dec 2012 20:07:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 12 15:07:07 2012
Received: from localhost ([127.0.0.1]:39435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TisaA-0004l2-6l
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2012 15:07:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54831)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tisa8-0004kv-S3
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2012 15:07:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TisZI-0008Ju-9Y
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2012 15:06:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.6 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_LOW,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:41872)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TisZI-0008Jk-6S
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2012 15:06:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37951)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TisZH-0005td-5N
	for bug-gnu-emacs@HIDDEN; Wed, 12 Dec 2012 15:06:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TisZG-0008JW-CP
	for bug-gnu-emacs@HIDDEN; Wed, 12 Dec 2012 15:06:11 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:40210)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TisZG-0008JI-8F
	for bug-gnu-emacs@HIDDEN; Wed, 12 Dec 2012 15:06:10 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09soXOY/2dsb2JhbABEsEiDSYEIghYBBVYjEAsOJhIUGA0kiCG6CZBEA4hCmnGBWIMH
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="209715263"
Received: from 108-161-115-152.dsl.teksavvy.com (HELO pastel.home)
	([108.161.115.152])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	12 Dec 2012 15:06:08 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 7F2D85941F; Wed, 12 Dec 2012 15:06:08 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwv62475973.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
	<1354662544.WXHGMQZGWMUF@HIDDEN>
	<mailman.14537.1354678921.855.bug-gnu-emacs@HIDDEN>
	<80txs03mu2.fsf@HIDDEN>
	<mailman.14688.1354824897.855.bug-gnu-emacs@HIDDEN>
	<80vccaqkk1.fsf@HIDDEN>
	<mailman.14984.1355158954.855.bug-gnu-emacs@HIDDEN>
	<8038zcykvn.fsf@HIDDEN>
	<mailman.15030.1355233953.855.bug-gnu-emacs@HIDDEN>
	<80wqwnr5p5.fsf@HIDDEN>
Date: Wed, 12 Dec 2012 15:06:08 -0500
In-Reply-To: <80wqwnr5p5.fsf@HIDDEN> (Sebastien Vauban's message of
	"Wed, 12 Dec 2012 10:16:22 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

>> (defadvice read-from-minibuffer (before crush-message activate)
>>   (message nil))
> Thanks for the tip!  However, no, it did not change anything...

My guess is that the advice is not run, then.  Probably because the
minibuffer is setup via completing-read which is coded in C and calls
Fread_from_minibuffer directly, thus bypassing advice.

You can try adding

   (defadvice completing-read (before crush-message activate)
     (message nil))

[ tho Fcompleting_read is also called a few times from the C code, so
  that advice will also be bypassed in various occasions.  ]


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Dec 2012 13:52:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 08:52:11 2012
Received: from localhost ([127.0.0.1]:36633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TiQFk-0007ee-QF
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2012 08:52:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49557)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TiQFg-0007eU-GW
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2012 08:52:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TiQEv-0005SH-Oa
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2012 08:51:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.6 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_LOW,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:43060)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TiQEv-0005SD-MJ
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2012 08:51:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60909)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TiQEq-0000mt-0a
	for bug-gnu-emacs@HIDDEN; Tue, 11 Dec 2012 08:51:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TiQEe-0005QX-2W
	for bug-gnu-emacs@HIDDEN; Tue, 11 Dec 2012 08:51:11 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:27339)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1TiQEd-0005QM-V5
	for bug-gnu-emacs@HIDDEN; Tue, 11 Dec 2012 08:50:59 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09soXOY/2dsb2JhbABEsEiDSYEIghYBBScvIxALDiYSFBgNJIghugmQRAOIQppxgViDBw
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="209590782"
Received: from 108-161-115-152.dsl.teksavvy.com (HELO pastel.home)
	([108.161.115.152])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	11 Dec 2012 08:50:59 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id A8B5958C73; Tue, 11 Dec 2012 08:50:58 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwvehiwaebd.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
	<1354662544.WXHGMQZGWMUF@HIDDEN>
	<mailman.14537.1354678921.855.bug-gnu-emacs@HIDDEN>
	<80txs03mu2.fsf@HIDDEN>
	<mailman.14688.1354824897.855.bug-gnu-emacs@HIDDEN>
	<80vccaqkk1.fsf@HIDDEN>
	<mailman.14984.1355158954.855.bug-gnu-emacs@HIDDEN>
	<8038zcykvn.fsf@HIDDEN>
Date: Tue, 11 Dec 2012 08:50:58 -0500
In-Reply-To: <8038zcykvn.fsf@HIDDEN> (Sebastien Vauban's message of
	"Tue, 11 Dec 2012 10:54:20 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

> --8<---------------cut here---------------start------------->8---
>   (defadvice read-from-minibuffer (around read-around)
>     "Read ... ."
>     (let* ((minibuffer-message-timeout 0))
>       ad-do-it))

>   (ad-activate 'read-from-minibuffer)
> --8<---------------cut here---------------end--------------->8---

Maybe a more radical

  (defadvice read-from-minibuffer (before crush-message activate)
    (message nil))

will do


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2012 17:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 12:02:27 2012
Received: from localhost ([127.0.0.1]:35782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ti6kM-00009Z-Jt
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2012 12:02:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60909)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Ti6kJ-00009N-SM
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2012 12:02:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Ti6jZ-0003ih-VO
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2012 12:01:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-104.2 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD,USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:50682)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Ti6jZ-0003ic-SF
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2012 12:01:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43949)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Ti6jU-00070T-1a
	for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2012 12:01:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Ti6jO-0003ed-5B
	for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2012 12:01:31 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:46507)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Ti6jO-0003eX-0v
	for bug-gnu-emacs@HIDDEN; Mon, 10 Dec 2012 12:01:26 -0500
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id qBAH1OIN009580;
	Mon, 10 Dec 2012 12:01:24 -0500
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 92453B415D; Mon, 10 Dec 2012 12:01:23 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwv6249u9lm.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
	<1354662544.WXHGMQZGWMUF@HIDDEN>
	<mailman.14537.1354678921.855.bug-gnu-emacs@HIDDEN>
	<80txs03mu2.fsf@HIDDEN>
	<mailman.14688.1354824897.855.bug-gnu-emacs@HIDDEN>
	<80vccaqkk1.fsf@HIDDEN>
Date: Mon, 10 Dec 2012 12:01:23 -0500
In-Reply-To: <80vccaqkk1.fsf@HIDDEN> (Sebastien Vauban's message of
	"Mon, 10 Dec 2012 11:16:14 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4428=0
X-NAI-Spam-Version: 2.2.0.9309 : core <4428> : streams <873207> : uri <1290260>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

> IIUC, in the examplified case, you mean to let-bind it in defun
> `org-read-date'?

That's one option, yes, tho doing it lower down the stack might help
make it work in more places.  E.g. you can try advising read-from-minibuffer.

> All those packages (`org.el', `help-fns.el', etc.) are out of my
> responsability area. I can't patch them all, can I?

These are just workarounds.  A real fix would need to be somewhere
probably in the C code, maybe in read-from-minibuffer.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2012 20:14:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 15:14:39 2012
Received: from localhost ([127.0.0.1]:57240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TghqB-00007R-GK
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2012 15:14:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54183)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tghq9-00007L-NV
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2012 15:14:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Tghpo-00065B-IU
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2012 15:14:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.6 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_LOW,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47828)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Tghpo-000651-F4
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2012 15:14:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37238)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Tghpj-0004t1-PX
	for bug-gnu-emacs@HIDDEN; Thu, 06 Dec 2012 15:14:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Tghpi-0005tJ-P1
	for bug-gnu-emacs@HIDDEN; Thu, 06 Dec 2012 15:14:11 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:18759)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <monnier@HIDDEN>) id 1Tghpi-0005tB-L8
	for bug-gnu-emacs@HIDDEN; Thu, 06 Dec 2012 15:14:10 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09soXOY/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCwsOJhIUGA0kiBwFugmQRAOIQppxgViDBw
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="209242419"
Received: from 108-161-115-152.dsl.teksavvy.com (HELO pastel.home)
	([108.161.115.152])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	06 Dec 2012 15:14:09 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 812A458F5C; Thu,  6 Dec 2012 15:14:09 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwvehj3j5yz.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
	<1354662544.WXHGMQZGWMUF@HIDDEN>
	<mailman.14537.1354678921.855.bug-gnu-emacs@HIDDEN>
	<80txs03mu2.fsf@HIDDEN>
Date: Thu, 06 Dec 2012 15:14:08 -0500
In-Reply-To: <80txs03mu2.fsf@HIDDEN> (Sebastien Vauban's message of
	"Wed, 05 Dec 2012 09:49:41 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

>>> What does that change in case of interactive question?
>>> If I do 1 require before asking a question to the user, the message about
>>> that require should hardly be visible (if visible at all -- because
>>> actions happen so quickly).  The question should use the space of the
>>> information message, point.
>> I see, yes, that would make sense.
> Does that mean it will be fixed that way?

No, it just means that I'd accept such a change.  But I don't have time
to come up with a patch for it in the foreseeable future.

> BTW, I tested a workaround in the meanwhile: let-binding
> `minibuffer-message-timeout' to 0.

I think you'd need to let-bind it around the code that brings up
the minibuffer.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at 12833 <at> debbugs.gnu.org:


Received: (at 12833) by debbugs.gnu.org; 5 Dec 2012 03:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 22:41:47 2012
Received: from localhost ([127.0.0.1]:53940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tg5rn-0006jD-3G
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2012 22:41:47 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:54524)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tg5rh-0006j3-ED
	for 12833 <at> debbugs.gnu.org; Tue, 04 Dec 2012 22:41:42 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09soXOY/2dsb2JhbABEsEiDSYEIghUBAQQBVAIjBQsLNBIUGA2IQAW6CY0mgx4DiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="209102561"
Received: from 108-161-115-152.dsl.teksavvy.com (HELO pastel.home)
	([108.161.115.152])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	04 Dec 2012 22:41:35 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id D69F558C73; Tue,  4 Dec 2012 22:41:34 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: WXHGMQZGWMUF@HIDDEN
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwv4nk1rwsk.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
	<1354662544.WXHGMQZGWMUF@HIDDEN>
Date: Tue, 04 Dec 2012 22:41:34 -0500
In-Reply-To: <1354662544.WXHGMQZGWMUF@HIDDEN>
	(WXHGMQZGWMUF@HIDDEN's message of "Tue, 04 Dec 2012 23:10:29
	+0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12833
Cc: 12833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> What does that change in case of interactive question?

>     If I do 1 require before asking a question to the user, the message about
>     that require should hardly be visible (if visible at all -- because
>     actions happen so quickly).  The question should use the space of the
>     information message, point.

I see, yes, that would make sense.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at 12833 <at> debbugs.gnu.org:


Received: (at 12833) by debbugs.gnu.org; 4 Dec 2012 22:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 17:10:41 2012
Received: from localhost ([127.0.0.1]:53765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tg0hN-0006AY-3i
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2012 17:10:41 -0500
Received: from 81-188-7-133.sdsl.easynet.be ([81.188.7.133]:51550
	helo=mail.missioncriticalit.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1Tg0hK-0006AQ-Ph
	for 12833 <at> debbugs.gnu.org; Tue, 04 Dec 2012 17:10:40 -0500
Received: from MEDIACENTER. (ip-83-101-44-240.customer.schedom-europe.net
	[83.101.44.240])
	by mail.missioncriticalit.com (Postfix) with ESMTPSA id CF3B0501238;
	Tue,  4 Dec 2012 23:10:32 +0100 (CET)
From: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
To: <re.H997XW1WDCB4C@HIDDEN>
Subject: Re: **: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Organization: Sebastien Vauban
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Tue, 04 Dec 2012 23:10:29 +0100
In-Reply-To: <jwvobi9tw7n.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Tue, 04 Dec 2012 15:14:07 -0500")
Message-ID: <804nk1eaei.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  Hi Stefan,
	Stefan Monnier wrote: >> Schedule a date from that
	item with `C-c C-s': the prompt for the date gets >> hidden (for
	something like 5 seconds) by the "require" message (though,
	>> that happened before
	displaying the prompt). > >> This is reproducible ever and ever,
	in the same session. > > It shouldn't be 5 seconds,
	but more like 2 seconds (or rather
	"whatever time > it takes to display the messages plus setup the
	minibuffer
	plus 2s"). > > IOW this is `minibuffer-message-timeout'. [...] 
	Content analysis details:   (3.3 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 TVD_RCVD_IP            TVD_RCVD_IP
	1.0 HK_RANDOM_FROM         From username looks random
	0.0 HK_RANDOM_ENVFROM      Envelope sender username looks random
	0.5 FROM_LOCAL_NOVOWEL From: localpart has series of non-vowel letters
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	1.0 RDNS_DYNAMIC           Delivered to internal network by host with
	dynamic-looking rDNS
X-Debbugs-Envelope-To: 12833
Cc: 12833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Stefan, Stefan Monnier wrote: >> Schedule a date from that
    item with `C-c C-s': the prompt for the date gets >> hidden (for something
    like 5 seconds) by the "require" message (though, >> that happened before
    displaying the prompt). > >> This is reproducible ever and ever, in the same
    session. > > It shouldn't be 5 seconds, but more like 2 seconds (or rather
    "whatever time > it takes to display the messages plus setup the minibuffer
    plus 2s"). > > IOW this is `minibuffer-message-timeout'. [...] 
 
 Content analysis details:   (3.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 HK_RANDOM_FROM         From username looks random
  0.0 HK_RANDOM_ENVFROM      Envelope sender username looks random
  0.5 FROM_LOCAL_NOVOWEL     From: localpart has series of non-vowel letters
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  1.0 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

Hi Stefan,

Stefan Monnier wrote:
>> Schedule a date from that item with `C-c C-s': the prompt for the date gets
>> hidden (for something like 5 seconds) by the "require" message (though,
>> that happened before displaying the prompt).
>
>> This is reproducible ever and ever, in the same session.
>
> It shouldn't be 5 seconds, but more like 2 seconds (or rather "whatever time
> it takes to display the messages plus setup the minibuffer plus 2s").
>
> IOW this is `minibuffer-message-timeout'.

Just checked that unknown var (for me): yep, equals 2. The true reality (now
that I'm chronometering it) is as well that the messages are more or less
displayed for 2 seconds -- but they seemed like 5 looong seconds.

> What behavior would you like to see instead?

IIUC, the require (of some package) is done before asking whatever question in
the minibuffer. So, for me, the same would apply as in other cases...

    If I do 2 requires in a row (package "A", then package "B"), the message
    telling I required the first one ("A") will certainly not be visible in
    the echo area, as immediately after, there is another message being
    displayed, saying that "B" just got required.

What does that change in case of interactive question?

    If I do 1 require before asking a question to the user, the message about
    that require should hardly be visible (if visible at all -- because
    actions happen so quickly). The question should use the space of the
    information message, point.

In the given example here above, things are happening in the function
`org-read-date':

--8<---------------cut here---------------start------------->8---
(defun org-read-date (...)
  "Read a date..."
  (require 'parse-time)
  ...
  (read-string prompt default-input 'org-read-date-history timestr)
  ...)
--8<---------------cut here---------------end--------------->8---

The require of `parse-time' does display a message in the minibuffer (echo
area, to be accurate). When executing `read-string', whatever displayed
message should disappear and be replaced by the prompt.

The prompt, IMO, should never be overridden by a reminiscent message.

Am I exposing clearly my point of view (be it shared or not)?

Best regards,
  Seb

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at 12833 <at> debbugs.gnu.org:


Received: (at 12833) by debbugs.gnu.org; 4 Dec 2012 22:06:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 17:06:21 2012
Received: from localhost ([127.0.0.1]:53761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tg0dB-00064g-Gg
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2012 17:06:21 -0500
Received: from mailout.melmac.se ([62.20.26.67]:39913)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jan.h.d@HIDDEN>) id 1Tg0d9-00064V-IO
	for 12833 <at> debbugs.gnu.org; Tue, 04 Dec 2012 17:06:20 -0500
Received: from mail01.melmac.se (mail01.melmac.se [62.20.26.80])
	by mailout.melmac.se (Postfix) with ESMTP id 821599DA1
	for <12833 <at> debbugs.gnu.org>; Tue,  4 Dec 2012 23:06:12 +0100 (CET)
Received: (qmail 15498 invoked by uid 89); 4 Dec 2012 22:06:12 -0000
Received: from h-46-59-42-18.na.cust.bahnhof.se (HELO coolsville.localdomain)
	(boel.djarv@HIDDEN@46.59.42.18)
	by mail01.melmac.se with ESMTPA; 4 Dec 2012 22:06:12 -0000
Received: from [172.20.199.248] (janiphone [172.20.199.248])
	by coolsville.localdomain (Postfix) with ESMTPSA id 02C127FA05E;
	Tue,  4 Dec 2012 23:06:12 +0100 (CET)
References: <80liec1dea.fsf@HIDDEN>
	<jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Message-Id: <00010CA2-02C8-4C54-9AAC-0ED463C4DDAB@HIDDEN>
X-Mailer: iPhone Mail (10A523)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Date: Tue, 4 Dec 2012 23:06:08 +0100
To: Stefan Monnier <monnier@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: Hello. 4 dec 2012 kl. 21:14 skrev Stefan Monnier
	<monnier@HIDDEN>:
	>> 6. Schedule a date from that item with `C-c C-s': the prompt for the
	>>
	date gets hidden (for something like 5 seconds) by the "require" >>
	message (though,
	that happened before displaying the prompt). > >> This is reproducible
	ever and ever, in the same session. > > It shouldn't be 5 seconds,
	but more
	like 2 seconds (or rather "whatever > time it takes to display the
	messages plus setup the minibuffer plus 2s"). > > IOW this is
	`minibuffer-message-timeout'.
	> > What behavior would you like to see instead? [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	0.0 MIME_QP_LONG_LINE RAW: Quoted-printable line longer than 76 chars
X-Debbugs-Envelope-To: 12833
Cc: Sebastien Vauban <wxhgmqzgwmuf@HIDDEN>,
	"12833 <at> debbugs.gnu.org" <12833 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello. 4 dec 2012 kl. 21:14 skrev Stefan Monnier <monnier@HIDDEN>:
    >> 6. Schedule a date from that item with `C-c C-s': the prompt for the >>
    date gets hidden (for something like 5 seconds) by the "require" >> message
    (though, that happened before displaying the prompt). > >> This is reproducible
    ever and ever, in the same session. > > It shouldn't be 5 seconds, but more
    like 2 seconds (or rather "whatever > time it takes to display the messages
    plus setup the minibuffer plus 2s"). > > IOW this is `minibuffer-message-timeout'.
    > > What behavior would you like to see instead? [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  0.0 MIME_QP_LONG_LINE      RAW: Quoted-printable line longer than 76 chars

Hello.=20

4 dec 2012 kl. 21:14 skrev Stefan Monnier <monnier@HIDDEN>:

>> 6. Schedule a date from that item with `C-c C-s': the prompt for the
>> date gets hidden (for something like 5 seconds) by the "require"
>> message (though, that happened before displaying the prompt).
>=20
>> This is reproducible ever and ever, in the same session.
>=20
> It shouldn't be 5 seconds, but more like 2 seconds (or rather "whatever
> time it takes to display the messages plus setup the minibuffer plus 2s").=

>=20
> IOW this is `minibuffer-message-timeout'.
>=20
> What behavior would you like to see instead?

Not speaking for the op, but I would like that messages only went to *Messag=
es* and was never shown in the minibuffer if there is a prompt there.

Semantic/CEDET is a pain to use because of this with its useless "parsing...=
" messages.=20

     Jan D.=20=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at 12833 <at> debbugs.gnu.org:


Received: (at 12833) by debbugs.gnu.org; 4 Dec 2012 20:14:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 15:14:16 2012
Received: from localhost ([127.0.0.1]:53642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tfysh-0003PN-OC
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2012 15:14:16 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:29906)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tfyse-0003PC-Fs
	for 12833 <at> debbugs.gnu.org; Tue, 04 Dec 2012 15:14:13 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09soXOY/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCwsOJhIUGA0kiBwFugmQRAOIQppxgViDBw
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="209077956"
Received: from 108-161-115-152.dsl.teksavvy.com (HELO pastel.home)
	([108.161.115.152])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	04 Dec 2012 15:14:08 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id CB26958C73; Tue,  4 Dec 2012 15:14:07 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
Subject: Re: bug#12833: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Message-ID: <jwvobi9tw7n.fsf-monnier+emacs@HIDDEN>
References: <80liec1dea.fsf@HIDDEN>
Date: Tue, 04 Dec 2012 15:14:07 -0500
In-Reply-To: <80liec1dea.fsf@HIDDEN> (Sebastien Vauban's message of
	"Thu, 08 Nov 2012 13:34:53 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12833
Cc: 12833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> 6. Schedule a date from that item with `C-c C-s': the prompt for the
> date gets hidden (for something like 5 seconds) by the "require"
> message (though, that happened before displaying the prompt).

> This is reproducible ever and ever, in the same session.

It shouldn't be 5 seconds, but more like 2 seconds (or rather "whatever
time it takes to display the messages plus setup the minibuffer plus 2s").

IOW this is `minibuffer-message-timeout'.

What behavior would you like to see instead?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2012 13:11:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 08 08:11:47 2012
Received: from localhost ([127.0.0.1]:55577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TWRtY-0003dh-9U
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 08:11:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43550)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRtR-0003dW-Qp
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 08:11:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRtC-0000HW-5p
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 08:11:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.4 required=5.0 tests=BAYES_00, FROM_LOCAL_NOVOWEL, 
	HK_RANDOM_ENVFROM, HK_RANDOM_FROM,
	RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:55009)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRtC-0000HM-1j
	for submit <at> debbugs.gnu.org; Thu, 08 Nov 2012 08:11:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41032)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRsz-00088S-Iq
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 08:11:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRsq-0000Em-TT
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 08:11:09 -0500
Received: from 81-188-7-133.sdsl.easynet.be ([81.188.7.133]:45465
	helo=mail.missioncriticalit.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <wxhgmqzgwmuf@HIDDEN>) id 1TWRsp-0000Dc-LR
	for bug-gnu-emacs@HIDDEN; Thu, 08 Nov 2012 08:11:00 -0500
Received: from MEDIACENTER. (mediacenter [10.10.10.51])
	by mail.missioncriticalit.com (Postfix) with ESMTPSA id 332A2500C26
	for <bug-gnu-emacs@HIDDEN>; Thu,  8 Nov 2012 13:34:53 +0100 (CET)
From: "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50;
	Avoid questions asked in the echo area to be overridden by messages
Organization: Sebastien Vauban
X-Url: Under construction...
X-Archive: encrypt
Date: Thu, 08 Nov 2012 13:34:53 +0100
Message-ID: <80liec1dea.fsf@HIDDEN>
User-Agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.2.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.4 (-----)

This bug report will be sent to the Bug-GNU-Emacs mailing listand the GNU bug
tracker at debbugs.gnu.org. Please check that the From: line contains a valid
email address. After a delay of up to one day, you should receive an
acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':


Here a recipe to reproduce the symptom explained in
http://lists.gnu.org/archive/html/help-gnu-emacs/2012-04/msg00014.html

1. Take the following minimal Emacs file:

--8<---------------cut here---------------start------------->8---
   ;; "source" of the problem
   (defadvice require (around require-around)
     "Leave a trace of packages being loaded."
     (let* ((feature (ad-get-arg 0)))
       (cond ((featurep feature)
              (message "(info) Requiring `%s'... already loaded" feature)
              (setq ad-return-value feature))
             (t
              (let ((my/time-start))
                (message "(info) Requiring `%s'..." feature)
                (setq my/time-start (float-time))
                ad-do-it
                (message "(info) Requiring `%s'... %s (loaded in %.2f s)"
                         feature
                         (locate-library (symbol-name feature))
                         (- (float-time) my/time-start)))))))

   (ad-activate 'require)
--8<---------------cut here---------------end--------------->8---

2. Load the minimal Emacs.

3. Create a new file.

4. Apply org-mode on it (M-x org-mode). You see the information from the
   defadvice: every require'd package gets tracing info (from where, in how
   much time).

5. Create a headline with M-RET

6. Schedule a date from that item with `C-c C-s': the prompt for the date gets
   hidden (for something like 5 seconds) by the "require" message (though,
   that happened before displaying the prompt).

This is reproducible ever and ever, in the same session.

For the sake of clarity, please find a screencast of the problem:
   http://screencast.com/t/fmmkKf3CJ


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/Program Files/Emacs-24.2/etc/DEBUG.


In GNU Emacs 24.2.50.1 (i386-mingw-nt5.1.2600)
 of 2012-10-22 on DANI-PC
Bzr revision: 110618 monnier@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -I../../libs/libxpm-3.5.8/include -I../../libs/libxpm-3.5.8/src
 -I../../libs/libpng-1.4.10 -I../../libs/zlib-1.2.6
 -I../../libs/giflib-4.1.4-1/include -I../../libs/jpeg-6b-4/include
 -I../../libs/tiff-3.8.2-1/include
 -I../../libs/libxml2-2.7.8-w32-bin/include/libxml2
 -I../../libs/gnutls-3.0.16/include
 -I../../libs/libiconv-1.14-2-mingw32-dev/include'

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  gnus-topic-mode: t
  auto-image-file-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  helm-match-plugin-mode: t
  recentf-mode: t
  global-auto-complete-mode: t
  pretty-control-l-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-s <help-echo> <down-mouse-1> <mouse-1> <up> <right> 
C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k 
C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k 
C-x C-s <C-home> <help-echo> <down-mouse-1> <mouse-1> 
C-x h M-w <help-echo> <down-mouse-1> <mouse-1> C-c 
n <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
G G v a u b a n <return> g <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> G G n i e s s e n <return> 
G G v a <return> <up> <down> C-u 2 0 0 0 <return> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> / a v a u n <return> / a v 
a u b <return> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<down> <down> <return> C-u 4 0 0 0 / o / a <up> <return> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <down> 
<down> <down> <return> A T <down> <return> <up> <return> 
<down-mouse-1> <mouse-1> <left> C-SPC <C-up> <right> 
C-c g r <down-mouse-1> <mouse-1> N N q M-x r e p o 
r t - e m <tab> C-g M-x r e p o r t - e m <return>

Recent messages:
(info) +-> Requiring `gnus-group'... already loaded [2 times]
(info) +-> Requiring `sort'... already loaded

(info) +-> Requiring `helm-misc'... already loaded
Quit

(info) +-> Requiring `helm-misc'... already loaded
(info) +-> Requiring `sendmail'... already loaded
(info) +-> Requiring `message'... already loaded
(info) +-> Requiring `helm-misc'... already loaded

Load-path shadows:
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/.dir-locals hides d:/home/sva/Downloads/emacs/site-lisp/gnus/.dir-locals
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/lpath hides d:/home/sva/Downloads/emacs/site-lisp/dictionary-1.8.7/lpath
d:/home/sva/Downloads/emacs/site-lisp/fuzzy-el/fuzzy hides d:/home/sva/Downloads/emacs/site-lisp/auto-complete-1.3.1/fuzzy
d:/home/sva/Downloads/emacs/site-lisp/auctex-11.86/lisp/tex-site hides d:/home/sva/Downloads/emacs/site-lisp/tex-site
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/password-cache hides c:/Program Files/Emacs-24.2/lisp/password-cache
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/md4 hides c:/Program Files/Emacs-24.2/lisp/md4
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/hex-util hides c:/Program Files/Emacs-24.2/lisp/hex-util
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/format-spec hides c:/Program Files/Emacs-24.2/lisp/format-spec
d:/home/sva/Downloads/emacs/site-lisp/ehelp hides c:/Program Files/Emacs-24.2/lisp/ehelp
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/color hides c:/Program Files/Emacs-24.2/lisp/color
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/dns-mode hides c:/Program Files/Emacs-24.2/lisp/textmodes/dns-mode
d:/home/sva/src/org-mode/lisp/org hides c:/Program Files/Emacs-24.2/lisp/org/org
d:/home/sva/src/org-mode/lisp/org-xoxo hides c:/Program Files/Emacs-24.2/lisp/org/org-xoxo
d:/home/sva/src/org-mode/lisp/org-wl hides c:/Program Files/Emacs-24.2/lisp/org/org-wl
d:/home/sva/src/org-mode/lisp/org-w3m hides c:/Program Files/Emacs-24.2/lisp/org/org-w3m
d:/home/sva/src/org-mode/lisp/org-vm hides c:/Program Files/Emacs-24.2/lisp/org/org-vm
d:/home/sva/src/org-mode/lisp/org-version hides c:/Program Files/Emacs-24.2/lisp/org/org-version
d:/home/sva/src/org-mode/lisp/org-timer hides c:/Program Files/Emacs-24.2/lisp/org/org-timer
d:/home/sva/src/org-mode/lisp/org-taskjuggler hides c:/Program Files/Emacs-24.2/lisp/org/org-taskjuggler
d:/home/sva/src/org-mode/lisp/org-table hides c:/Program Files/Emacs-24.2/lisp/org/org-table
d:/home/sva/src/org-mode/lisp/org-src hides c:/Program Files/Emacs-24.2/lisp/org/org-src
d:/home/sva/src/org-mode/lisp/org-special-blocks hides c:/Program Files/Emacs-24.2/lisp/org/org-special-blocks
d:/home/sva/src/org-mode/lisp/org-rmail hides c:/Program Files/Emacs-24.2/lisp/org/org-rmail
d:/home/sva/src/org-mode/lisp/org-remember hides c:/Program Files/Emacs-24.2/lisp/org/org-remember
d:/home/sva/src/org-mode/lisp/org-publish hides c:/Program Files/Emacs-24.2/lisp/org/org-publish
d:/home/sva/src/org-mode/lisp/org-protocol hides c:/Program Files/Emacs-24.2/lisp/org/org-protocol
d:/home/sva/src/org-mode/lisp/org-plot hides c:/Program Files/Emacs-24.2/lisp/org/org-plot
d:/home/sva/src/org-mode/lisp/org-pcomplete hides c:/Program Files/Emacs-24.2/lisp/org/org-pcomplete
d:/home/sva/src/org-mode/lisp/org-odt hides c:/Program Files/Emacs-24.2/lisp/org/org-odt
d:/home/sva/src/org-mode/lisp/org-mouse hides c:/Program Files/Emacs-24.2/lisp/org/org-mouse
d:/home/sva/src/org-mode/lisp/org-mobile hides c:/Program Files/Emacs-24.2/lisp/org/org-mobile
d:/home/sva/src/org-mode/lisp/org-mks hides c:/Program Files/Emacs-24.2/lisp/org/org-mks
d:/home/sva/src/org-mode/lisp/org-mhe hides c:/Program Files/Emacs-24.2/lisp/org/org-mhe
d:/home/sva/src/org-mode/lisp/org-mew hides c:/Program Files/Emacs-24.2/lisp/org/org-mew
d:/home/sva/src/org-mode/lisp/org-macs hides c:/Program Files/Emacs-24.2/lisp/org/org-macs
d:/home/sva/src/org-mode/lisp/org-mac-message hides c:/Program Files/Emacs-24.2/lisp/org/org-mac-message
d:/home/sva/src/org-mode/lisp/org-lparse hides c:/Program Files/Emacs-24.2/lisp/org/org-lparse
d:/home/sva/src/org-mode/lisp/org-list hides c:/Program Files/Emacs-24.2/lisp/org/org-list
d:/home/sva/src/org-mode/lisp/org-latex hides c:/Program Files/Emacs-24.2/lisp/org/org-latex
d:/home/sva/src/org-mode/lisp/org-jsinfo hides c:/Program Files/Emacs-24.2/lisp/org/org-jsinfo
d:/home/sva/src/org-mode/lisp/org-irc hides c:/Program Files/Emacs-24.2/lisp/org/org-irc
d:/home/sva/src/org-mode/lisp/org-install hides c:/Program Files/Emacs-24.2/lisp/org/org-install
d:/home/sva/src/org-mode/lisp/org-inlinetask hides c:/Program Files/Emacs-24.2/lisp/org/org-inlinetask
d:/home/sva/src/org-mode/lisp/org-info hides c:/Program Files/Emacs-24.2/lisp/org/org-info
d:/home/sva/src/org-mode/lisp/org-indent hides c:/Program Files/Emacs-24.2/lisp/org/org-indent
d:/home/sva/src/org-mode/lisp/org-id hides c:/Program Files/Emacs-24.2/lisp/org/org-id
d:/home/sva/src/org-mode/lisp/org-icalendar hides c:/Program Files/Emacs-24.2/lisp/org/org-icalendar
d:/home/sva/src/org-mode/lisp/org-html hides c:/Program Files/Emacs-24.2/lisp/org/org-html
d:/home/sva/src/org-mode/lisp/org-habit hides c:/Program Files/Emacs-24.2/lisp/org/org-habit
d:/home/sva/src/org-mode/lisp/org-gnus hides c:/Program Files/Emacs-24.2/lisp/org/org-gnus
d:/home/sva/src/org-mode/lisp/org-freemind hides c:/Program Files/Emacs-24.2/lisp/org/org-freemind
d:/home/sva/src/org-mode/lisp/org-footnote hides c:/Program Files/Emacs-24.2/lisp/org/org-footnote
d:/home/sva/src/org-mode/lisp/org-feed hides c:/Program Files/Emacs-24.2/lisp/org/org-feed
d:/home/sva/src/org-mode/lisp/org-faces hides c:/Program Files/Emacs-24.2/lisp/org/org-faces
d:/home/sva/src/org-mode/lisp/org-exp hides c:/Program Files/Emacs-24.2/lisp/org/org-exp
d:/home/sva/src/org-mode/lisp/org-eshell hides c:/Program Files/Emacs-24.2/lisp/org/org-eshell
d:/home/sva/src/org-mode/lisp/org-entities hides c:/Program Files/Emacs-24.2/lisp/org/org-entities
d:/home/sva/src/org-mode/lisp/org-element hides c:/Program Files/Emacs-24.2/lisp/org/org-element
d:/home/sva/src/org-mode/lisp/org-docview hides c:/Program Files/Emacs-24.2/lisp/org/org-docview
d:/home/sva/src/org-mode/lisp/org-docbook hides c:/Program Files/Emacs-24.2/lisp/org/org-docbook
d:/home/sva/src/org-mode/lisp/org-datetree hides c:/Program Files/Emacs-24.2/lisp/org/org-datetree
d:/home/sva/src/org-mode/lisp/org-ctags hides c:/Program Files/Emacs-24.2/lisp/org/org-ctags
d:/home/sva/src/org-mode/lisp/org-crypt hides c:/Program Files/Emacs-24.2/lisp/org/org-crypt
d:/home/sva/src/org-mode/lisp/org-compat hides c:/Program Files/Emacs-24.2/lisp/org/org-compat
d:/home/sva/src/org-mode/lisp/org-colview hides c:/Program Files/Emacs-24.2/lisp/org/org-colview
d:/home/sva/src/org-mode/lisp/org-clock hides c:/Program Files/Emacs-24.2/lisp/org/org-clock
d:/home/sva/src/org-mode/lisp/org-capture hides c:/Program Files/Emacs-24.2/lisp/org/org-capture
d:/home/sva/src/org-mode/lisp/org-bibtex hides c:/Program Files/Emacs-24.2/lisp/org/org-bibtex
d:/home/sva/src/org-mode/lisp/org-beamer hides c:/Program Files/Emacs-24.2/lisp/org/org-beamer
d:/home/sva/src/org-mode/lisp/org-bbdb hides c:/Program Files/Emacs-24.2/lisp/org/org-bbdb
d:/home/sva/src/org-mode/lisp/org-attach hides c:/Program Files/Emacs-24.2/lisp/org/org-attach
d:/home/sva/src/org-mode/lisp/org-ascii hides c:/Program Files/Emacs-24.2/lisp/org/org-ascii
d:/home/sva/src/org-mode/lisp/org-archive hides c:/Program Files/Emacs-24.2/lisp/org/org-archive
d:/home/sva/src/org-mode/lisp/org-agenda hides c:/Program Files/Emacs-24.2/lisp/org/org-agenda
d:/home/sva/src/org-mode/lisp/ob hides c:/Program Files/Emacs-24.2/lisp/org/ob
d:/home/sva/src/org-mode/lisp/ob-tangle hides c:/Program Files/Emacs-24.2/lisp/org/ob-tangle
d:/home/sva/src/org-mode/lisp/ob-table hides c:/Program Files/Emacs-24.2/lisp/org/ob-table
d:/home/sva/src/org-mode/lisp/ob-sqlite hides c:/Program Files/Emacs-24.2/lisp/org/ob-sqlite
d:/home/sva/src/org-mode/lisp/ob-sql hides c:/Program Files/Emacs-24.2/lisp/org/ob-sql
d:/home/sva/src/org-mode/lisp/ob-shen hides c:/Program Files/Emacs-24.2/lisp/org/ob-shen
d:/home/sva/src/org-mode/lisp/ob-sh hides c:/Program Files/Emacs-24.2/lisp/org/ob-sh
d:/home/sva/src/org-mode/lisp/ob-screen hides c:/Program Files/Emacs-24.2/lisp/org/ob-screen
d:/home/sva/src/org-mode/lisp/ob-scheme hides c:/Program Files/Emacs-24.2/lisp/org/ob-scheme
d:/home/sva/src/org-mode/lisp/ob-scala hides c:/Program Files/Emacs-24.2/lisp/org/ob-scala
d:/home/sva/src/org-mode/lisp/ob-sass hides c:/Program Files/Emacs-24.2/lisp/org/ob-sass
d:/home/sva/src/org-mode/lisp/ob-ruby hides c:/Program Files/Emacs-24.2/lisp/org/ob-ruby
d:/home/sva/src/org-mode/lisp/ob-ref hides c:/Program Files/Emacs-24.2/lisp/org/ob-ref
d:/home/sva/src/org-mode/lisp/ob-R hides c:/Program Files/Emacs-24.2/lisp/org/ob-R
d:/home/sva/src/org-mode/lisp/ob-python hides c:/Program Files/Emacs-24.2/lisp/org/ob-python
d:/home/sva/src/org-mode/lisp/ob-plantuml hides c:/Program Files/Emacs-24.2/lisp/org/ob-plantuml
d:/home/sva/src/org-mode/lisp/ob-picolisp hides c:/Program Files/Emacs-24.2/lisp/org/ob-picolisp
d:/home/sva/src/org-mode/lisp/ob-perl hides c:/Program Files/Emacs-24.2/lisp/org/ob-perl
d:/home/sva/src/org-mode/lisp/ob-org hides c:/Program Files/Emacs-24.2/lisp/org/ob-org
d:/home/sva/src/org-mode/lisp/ob-octave hides c:/Program Files/Emacs-24.2/lisp/org/ob-octave
d:/home/sva/src/org-mode/lisp/ob-ocaml hides c:/Program Files/Emacs-24.2/lisp/org/ob-ocaml
d:/home/sva/src/org-mode/lisp/ob-mscgen hides c:/Program Files/Emacs-24.2/lisp/org/ob-mscgen
d:/home/sva/src/org-mode/lisp/ob-maxima hides c:/Program Files/Emacs-24.2/lisp/org/ob-maxima
d:/home/sva/src/org-mode/lisp/ob-matlab hides c:/Program Files/Emacs-24.2/lisp/org/ob-matlab
d:/home/sva/src/org-mode/lisp/ob-lob hides c:/Program Files/Emacs-24.2/lisp/org/ob-lob
d:/home/sva/src/org-mode/lisp/ob-lisp hides c:/Program Files/Emacs-24.2/lisp/org/ob-lisp
d:/home/sva/src/org-mode/lisp/ob-lilypond hides c:/Program Files/Emacs-24.2/lisp/org/ob-lilypond
d:/home/sva/src/org-mode/lisp/ob-ledger hides c:/Program Files/Emacs-24.2/lisp/org/ob-ledger
d:/home/sva/src/org-mode/lisp/ob-latex hides c:/Program Files/Emacs-24.2/lisp/org/ob-latex
d:/home/sva/src/org-mode/lisp/ob-keys hides c:/Program Files/Emacs-24.2/lisp/org/ob-keys
d:/home/sva/src/org-mode/lisp/ob-js hides c:/Program Files/Emacs-24.2/lisp/org/ob-js
d:/home/sva/src/org-mode/lisp/ob-java hides c:/Program Files/Emacs-24.2/lisp/org/ob-java
d:/home/sva/src/org-mode/lisp/ob-io hides c:/Program Files/Emacs-24.2/lisp/org/ob-io
d:/home/sva/src/org-mode/lisp/ob-haskell hides c:/Program Files/Emacs-24.2/lisp/org/ob-haskell
d:/home/sva/src/org-mode/lisp/ob-gnuplot hides c:/Program Files/Emacs-24.2/lisp/org/ob-gnuplot
d:/home/sva/src/org-mode/lisp/ob-fortran hides c:/Program Files/Emacs-24.2/lisp/org/ob-fortran
d:/home/sva/src/org-mode/lisp/ob-exp hides c:/Program Files/Emacs-24.2/lisp/org/ob-exp
d:/home/sva/src/org-mode/lisp/ob-eval hides c:/Program Files/Emacs-24.2/lisp/org/ob-eval
d:/home/sva/src/org-mode/lisp/ob-emacs-lisp hides c:/Program Files/Emacs-24.2/lisp/org/ob-emacs-lisp
d:/home/sva/src/org-mode/lisp/ob-dot hides c:/Program Files/Emacs-24.2/lisp/org/ob-dot
d:/home/sva/src/org-mode/lisp/ob-ditaa hides c:/Program Files/Emacs-24.2/lisp/org/ob-ditaa
d:/home/sva/src/org-mode/lisp/ob-css hides c:/Program Files/Emacs-24.2/lisp/org/ob-css
d:/home/sva/src/org-mode/lisp/ob-comint hides c:/Program Files/Emacs-24.2/lisp/org/ob-comint
d:/home/sva/src/org-mode/lisp/ob-clojure hides c:/Program Files/Emacs-24.2/lisp/org/ob-clojure
d:/home/sva/src/org-mode/lisp/ob-calc hides c:/Program Files/Emacs-24.2/lisp/org/ob-calc
d:/home/sva/src/org-mode/lisp/ob-C hides c:/Program Files/Emacs-24.2/lisp/org/ob-C
d:/home/sva/src/org-mode/lisp/ob-awk hides c:/Program Files/Emacs-24.2/lisp/org/ob-awk
d:/home/sva/src/org-mode/lisp/ob-asymptote hides c:/Program Files/Emacs-24.2/lisp/org/ob-asymptote
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/tls hides c:/Program Files/Emacs-24.2/lisp/net/tls
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sasl hides c:/Program Files/Emacs-24.2/lisp/net/sasl
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sasl-ntlm hides c:/Program Files/Emacs-24.2/lisp/net/sasl-ntlm
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sasl-digest hides c:/Program Files/Emacs-24.2/lisp/net/sasl-digest
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sasl-cram hides c:/Program Files/Emacs-24.2/lisp/net/sasl-cram
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/ntlm hides c:/Program Files/Emacs-24.2/lisp/net/ntlm
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/netrc hides c:/Program Files/Emacs-24.2/lisp/net/netrc
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/hmac-md5 hides c:/Program Files/Emacs-24.2/lisp/net/hmac-md5
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/hmac-def hides c:/Program Files/Emacs-24.2/lisp/net/hmac-def
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/dns hides c:/Program Files/Emacs-24.2/lisp/net/dns
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/dig hides c:/Program Files/Emacs-24.2/lisp/net/dig
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/uudecode hides c:/Program Files/Emacs-24.2/lisp/mail/uudecode
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/hashcash hides c:/Program Files/Emacs-24.2/lisp/mail/hashcash
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/binhex hides c:/Program Files/Emacs-24.2/lisp/mail/binhex
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/yenc hides c:/Program Files/Emacs-24.2/lisp/gnus/yenc
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/utf7 hides c:/Program Files/Emacs-24.2/lisp/gnus/utf7
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/starttls hides c:/Program Files/Emacs-24.2/lisp/gnus/starttls
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/spam hides c:/Program Files/Emacs-24.2/lisp/gnus/spam
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/spam-wash hides c:/Program Files/Emacs-24.2/lisp/gnus/spam-wash
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/spam-stat hides c:/Program Files/Emacs-24.2/lisp/gnus/spam-stat
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/spam-report hides c:/Program Files/Emacs-24.2/lisp/gnus/spam-report
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/smime hides c:/Program Files/Emacs-24.2/lisp/gnus/smime
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/smiley hides c:/Program Files/Emacs-24.2/lisp/gnus/smiley
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sieve hides c:/Program Files/Emacs-24.2/lisp/gnus/sieve
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sieve-mode hides c:/Program Files/Emacs-24.2/lisp/gnus/sieve-mode
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/sieve-manage hides c:/Program Files/Emacs-24.2/lisp/gnus/sieve-manage
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/shr hides c:/Program Files/Emacs-24.2/lisp/gnus/shr
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/shr-color hides c:/Program Files/Emacs-24.2/lisp/gnus/shr-color
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/score-mode hides c:/Program Files/Emacs-24.2/lisp/gnus/score-mode
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rtree hides c:/Program Files/Emacs-24.2/lisp/gnus/rtree
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rfc2231 hides c:/Program Files/Emacs-24.2/lisp/gnus/rfc2231
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rfc2104 hides c:/Program Files/Emacs-24.2/lisp/gnus/rfc2104
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rfc2047 hides c:/Program Files/Emacs-24.2/lisp/gnus/rfc2047
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rfc2045 hides c:/Program Files/Emacs-24.2/lisp/gnus/rfc2045
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/rfc1843 hides c:/Program Files/Emacs-24.2/lisp/gnus/rfc1843
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/registry hides c:/Program Files/Emacs-24.2/lisp/gnus/registry
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/qp hides c:/Program Files/Emacs-24.2/lisp/gnus/qp
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/pop3 hides c:/Program Files/Emacs-24.2/lisp/gnus/pop3
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/plstore hides c:/Program Files/Emacs-24.2/lisp/gnus/plstore
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnweb hides c:/Program Files/Emacs-24.2/lisp/gnus/nnweb
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnvirtual hides c:/Program Files/Emacs-24.2/lisp/gnus/nnvirtual
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nntp hides c:/Program Files/Emacs-24.2/lisp/gnus/nntp
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnspool hides c:/Program Files/Emacs-24.2/lisp/gnus/nnspool
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnrss hides c:/Program Files/Emacs-24.2/lisp/gnus/nnrss
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnregistry hides c:/Program Files/Emacs-24.2/lisp/gnus/nnregistry
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnoo hides c:/Program Files/Emacs-24.2/lisp/gnus/nnoo
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnnil hides c:/Program Files/Emacs-24.2/lisp/gnus/nnnil
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnml hides c:/Program Files/Emacs-24.2/lisp/gnus/nnml
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnmh hides c:/Program Files/Emacs-24.2/lisp/gnus/nnmh
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnmbox hides c:/Program Files/Emacs-24.2/lisp/gnus/nnmbox
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnmairix hides c:/Program Files/Emacs-24.2/lisp/gnus/nnmairix
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnmaildir hides c:/Program Files/Emacs-24.2/lisp/gnus/nnmaildir
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnmail hides c:/Program Files/Emacs-24.2/lisp/gnus/nnmail
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnir hides c:/Program Files/Emacs-24.2/lisp/gnus/nnir
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnimap hides c:/Program Files/Emacs-24.2/lisp/gnus/nnimap
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnheader hides c:/Program Files/Emacs-24.2/lisp/gnus/nnheader
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nngateway hides c:/Program Files/Emacs-24.2/lisp/gnus/nngateway
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnfolder hides c:/Program Files/Emacs-24.2/lisp/gnus/nnfolder
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nneething hides c:/Program Files/Emacs-24.2/lisp/gnus/nneething
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nndraft hides c:/Program Files/Emacs-24.2/lisp/gnus/nndraft
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nndoc hides c:/Program Files/Emacs-24.2/lisp/gnus/nndoc
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nndir hides c:/Program Files/Emacs-24.2/lisp/gnus/nndir
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nndiary hides c:/Program Files/Emacs-24.2/lisp/gnus/nndiary
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnbabyl hides c:/Program Files/Emacs-24.2/lisp/gnus/nnbabyl
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/nnagent hides c:/Program Files/Emacs-24.2/lisp/gnus/nnagent
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mml2015 hides c:/Program Files/Emacs-24.2/lisp/gnus/mml2015
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mml1991 hides c:/Program Files/Emacs-24.2/lisp/gnus/mml1991
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mml hides c:/Program Files/Emacs-24.2/lisp/gnus/mml
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mml-smime hides c:/Program Files/Emacs-24.2/lisp/gnus/mml-smime
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mml-sec hides c:/Program Files/Emacs-24.2/lisp/gnus/mml-sec
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-view hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-view
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-uu hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-uu
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-util hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-util
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-url hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-url
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-partial hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-partial
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-extern hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-extern
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-encode hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-encode
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-decode hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-decode
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-bodies hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-bodies
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mm-archive hides c:/Program Files/Emacs-24.2/lisp/gnus/mm-archive
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/messcompat hides c:/Program Files/Emacs-24.2/lisp/gnus/messcompat
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/message hides c:/Program Files/Emacs-24.2/lisp/gnus/message
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mailcap hides c:/Program Files/Emacs-24.2/lisp/gnus/mailcap
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mail-source hides c:/Program Files/Emacs-24.2/lisp/gnus/mail-source
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mail-prsvr hides c:/Program Files/Emacs-24.2/lisp/gnus/mail-prsvr
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/mail-parse hides c:/Program Files/Emacs-24.2/lisp/gnus/mail-parse
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/legacy-gnus-agent hides c:/Program Files/Emacs-24.2/lisp/gnus/legacy-gnus-agent
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/ietf-drums hides c:/Program Files/Emacs-24.2/lisp/gnus/ietf-drums
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/html2text hides c:/Program Files/Emacs-24.2/lisp/gnus/html2text
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gssapi hides c:/Program Files/Emacs-24.2/lisp/gnus/gssapi
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gravatar hides c:/Program Files/Emacs-24.2/lisp/gnus/gravatar
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-win hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-win
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-vm hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-vm
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-uu hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-uu
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-util hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-util
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-undo hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-undo
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-topic hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-topic
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-sync hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-sync
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-sum hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-sum
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-start hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-start
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-srvr hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-srvr
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-spec hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-spec
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-sieve hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-sieve
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-setup hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-setup
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-score hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-score
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-salt hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-salt
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-registry hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-registry
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-range hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-range
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-picon hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-picon
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-notifications hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-notifications
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-msg hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-msg
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-mlspl hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-mlspl
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-ml hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-ml
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-mh hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-mh
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-logic hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-logic
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-kill hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-kill
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-int hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-int
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-html hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-html
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-group hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-group
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-gravatar hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-gravatar
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-fun hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-fun
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-ems hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-ems
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-eform hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-eform
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-dup hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-dup
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-draft hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-draft
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-dired hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-dired
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-diary hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-diary
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-demon hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-demon
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-delay hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-delay
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-cus hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-cus
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-cite hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-cite
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-cache hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-cache
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-bookmark hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-bookmark
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-bcklg hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-bcklg
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-async hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-async
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-art hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-art
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gnus-agent hides c:/Program Files/Emacs-24.2/lisp/gnus/gnus-agent
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/gmm-utils hides c:/Program Files/Emacs-24.2/lisp/gnus/gmm-utils
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/flow-fill hides c:/Program Files/Emacs-24.2/lisp/gnus/flow-fill
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/ecomplete hides c:/Program Files/Emacs-24.2/lisp/gnus/ecomplete
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/deuglify hides c:/Program Files/Emacs-24.2/lisp/gnus/deuglify
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/compface hides c:/Program Files/Emacs-24.2/lisp/gnus/compface
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/canlock hides c:/Program Files/Emacs-24.2/lisp/gnus/canlock
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/auth-source hides c:/Program Files/Emacs-24.2/lisp/gnus/auth-source
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/.dir-locals hides c:/Program Files/Emacs-24.2/lisp/gnus/.dir-locals
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/time-date hides c:/Program Files/Emacs-24.2/lisp/calendar/time-date
d:/home/sva/Downloads/emacs/site-lisp/gnus/lisp/parse-time hides c:/Program Files/Emacs-24.2/lisp/calendar/parse-time

Features:
(shadow emacsbug nnir gnus-fun diff-mode solar cal-dst cal-iso org-colview
calc-map calc-stat calc-vec calc-menu calc-aent helm-command helm-mode
org-capture org-mks rainbow-mode org-beamer helm-imenu imenu sh-script smie
executable gnus-dup tabify preview prv-emacs tex-buf reftex-dcr reftex-auc
reftex reftex-vars font-latex preview-latex latex tex-style tex flow-fill
mm-archive gnus-async gnus-bcklg gnus-ml hl-line mailalias smtpmail qp sort
etags-select etags gnus-cite gnus-alias org-table mail-extr nndraft nnmh
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-topic utf-7
nnimap utf7 nnfolder parse-time gnus-cache time-stamp copyright bbdb-message
sendmail epa-file epa epg netrc gnutls network-stream starttls tls nntp
gnus-leuven gnus-dired bbdb-gnus gnus-art mm-uu mml2015 epg-config mm-view
mml-smime smime dig bbdb-mua bbdb-com bbdb timezone misearch multi-isearch
fuzzy gud filecache ido vc-git flyspell ispell org-id org-gnus org-info
org-crypt org-mime org-inlinetask anything-orgcard ob-sql ob-sh ob-python
ob-org ob-ledger ob-latex ob-gnuplot ob-dot ob-ditaa ob-calc calc-store
calc-trail calc-ext calc calc-loaddefs calc-macs ob-awk ob-R
org-special-blocks org-html org-e-odt org-e-beamer org-e-latex org-e-html
table org-e-ascii org-e-publish org-export org-element org-protocol org-habit
org-clock org-exp ob-exp org-agenda holidays hol-loaddefs vc-dispatcher vc-svn
image-file appt diary-lib diary-loaddefs org-occur-goto mule-util org
ob-tangle ob-ref ob-lob ob-table org-footnote org-src ob-keys org-pcomplete
org-list org-faces org-entities noutline outline org-version ob-emacs-lisp
ob-comint ob org-compat org-macs ob-eval cal-menu calendar cal-loaddefs
gnus-sum nnoo gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec
gnus-int gnus-range message dircolors rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils
mailheader gnus-win gnus gnus-ems gnus-compat nnheader mail-utils helm-misc
helm-files image-dired warnings tramp tramp-compat tramp-loaddefs shell
pcomplete format-spec ffap thingatpt helm-tags helm-bookmark helm-adaptative
helm-info helm-net browse-url xml url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse auth-source
eieio byte-opt bytecomp byte-compile cconv gnus-util mm-util mail-prsvr
password-cache url-vars mailcap helm-plugin helm-buffers helm-elscreen
bookmark pp helm-locate helm-grep helm-regexp grep helm-external helm-utils
dired-sort-map dired-single help-mode dired+ dired-x dired-aux dired compile
comint ansi-color ring helm-help helm-match-plugin helm-config helm recentf
tree-widget wid-edit auto-complete-config auto-complete popup server saveplace
show-point-mode eldoc edebug redshank derived skeleton paredit whitespace
hideshow easymenu emacs-leuven pp-c-l leuven-theme gnus-load org-loaddefs
find-func eval-expr mic-paren paren tex-site auto-loads uniquify diff-mode-
cl-macs gv edmacro kmacro idle-require easy-mmode advice help-fns
advice-preload cl cl-lib time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win w32-vars tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook
help simple abbrev minibuffer button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process w32 multi-tty
emacs)

Best regards,
  Seb

-- 
Sebastien Vauban




Acknowledgement sent to "Sebastien Vauban" <wxhgmqzgwmuf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12833; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.